System.ServiceModel 4.0.0.0 System.Object

The managed hosting environments that support this interface are Internet Information Services (IIS) or Windows Process Activation Services (WAS). Implement a factory that derives from this class when you have implemented a custom derivative of in these hosting environments. If you have implemented a custom derivative of , consider deriving from instead.

Provides the base implementation for the factory that allows application code to participate in the creation of service hosts in managed hosting environments where the host instance is created dynamically in response to incoming messages.

- Constructor
  4.0.0.0
  To be added.

  Initializes a new instance of the class.

- Method
  4.0.0.0
  System.ServiceModel.ServiceHostBase `` `` To be added.

  When overridden in a derived class, creates a with a specific base address using custom initiation data.

  The object with the specified base addresses and initialized with the custom initiation data.

  The initialization data that is passed to the instance being constructed by the factory. An of type that contains the base addresses of the host.